<template>
  <div class="app-breadcrumb">
    <img :src="avatorPath">
    <h1>众泰煤焦化智能化安全管理技术平台</h1>
  </div>
<!--   <el-breadcrumb class="app-breadcrumb" separator="/">-->
<!--    <transition-group name="breadcrumb">-->
<!--      <el-breadcrumb-item v-for="(item,index) in levelList" :key="item.path">-->
<!--        <span v-if="item.redirect==='noredirect'||index==levelList.length-1" class="no-redirect">-->
<!--          {{ item.meta.title }}-->
<!--        </span>-->
<!--        <a v-else @click.prevent="handleLink(item)">{{ item.meta.title }}</a>-->
<!--      </el-breadcrumb-item>-->
<!--    </transition-group>-->
<!--  </el-breadcrumb>-->
</template>

<script>
import { mapGetters } from 'vuex'
import pathToRegexp from 'path-to-regexp'
const imgUrl = require('@/assets/newzhongtai.jpg')
export default {
  data() {
    return {
      levelList: null
    }
  },
  computed: {
    ...mapGetters([
      'userType',
      'instituteId',
      'instituteName',
      'fullname'
    ]),
    avatorPath() {
      return imgUrl
    }
  },
  watch: {
    $route() {
      this.getBreadcrumb()
    }
  },
  created() {
    this.getBreadcrumb()
  },
  methods: {
    getBreadcrumb() {
      let matched = this.$route.matched.filter(item => item.name)

      const first = matched[0]
      if (first && first.name.trim().toLocaleLowerCase() !== 'Dashboard'.toLocaleLowerCase()) {
        matched = [{ path: '/dashboard', meta: { title: '首页' }}].concat(matched)
      }

      this.levelList = matched.filter(item => item.meta && item.meta.title && item.meta.breadcrumb !== false)
    },
    pathCompile(path) {
      // To solve this problem https://github.com/PanJiaChen/vue-element-admin/issues/561
      const { params } = this.$route
      var toPath = pathToRegexp.compile(path)
      return toPath(params)
    },
    handleLink(item) {
      const { redirect, path } = item
      if (redirect) {
        this.$router.push(redirect)
        return
      }
      this.$router.push(this.pathCompile(path))
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  .app-breadcrumb {
    display: inline-block;
    font-size: 14px;
    line-height: 60px;
    //margin-left: 8px;
    vertical-align:middle;
    .no-redirect {
      color: #97a8be;
      cursor: text;
    }
  }
  .app-breadcrumb img{
      height: 62px;
      width: 260px;
      border: none;
      vertical-align: middle;
      margin-right: 20px;
  }
  .app-breadcrumb h1{
    margin:0;
    padding:0;
    display: inline;
    vertical-align: middle;
    font-size: 20px;
    color: white;
  }
</style>
